<?php

namespace FiloBlu\Refilo\Model\Indexer\Struct\Countries;

class Countries
{
    /**
     * @var Metadata
     */
    private $metadata;
    /**
     * @var int
     */
    public $country_id;
    /**
     * @var string
     */
    public $_id;
    /**
     * @var string
     */
    public $metacode;

    public function __construct()
    {
        $this->metadata = new Metadata();
        $this->_id = 'geocountry_' . $this->country_id;
        $this->metacode = 'country';
        $this->metadata->code = $this->country_id;
        $this->metadata->label = $this->country_name;
        $this->metadata->continent_id = (int)$this->continent_id;
        $this->metadata->continent_name = $this->continent;
        $this->metadata->position = (int)$this->position;
        $this->metadata->regions = [];
    }
}
